Bio::Structure::Chain(3)

NAME
Bio::Structure::Chain - Bioperl structure Object, describes a chain

SYNOPSIS
  #add synopsis here

DESCRIPTION
This object stores a Bio::Structure::Chain

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Kris Boulez
Email kris.boulez@algonomics.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Title   : new()
 Usage   : $struc = Bio::Structure::Chain->new(
                           -id  => 'human_id',
                           -accession_number => 'AL000012',
                                           );

 Function: Returns a new Bio::Structure::Chain object from basic
                constructors. Usually called from Bio::Structure::IO.
 Returns : a new Bio::Structure::Chain object

  residue()
 Title   : residue
 Usage   :
 Function:  nothing useful until I get symbolic references to do what I want
 Returns :
 Args    :

  add_residue()
 Title   : add_residue
 Usage   :
 Function: nothing useful until I get symbolic references to do what I want
 Returns :
 Args    :

  model()
 Title   : model
 Usage   :
 Function: nothing useful until I get symbolic references to do what I want
 Returns :
 Args    :

  id()
 Title   : id
 Usage   : $chain->id("chain B")
 Function: Gets/sets the ID for this chain
 Returns : the ID
 Args    : the ID

  _remove_residues()
 Title   : _remove_residues
 Usage   :
 Function:
 Returns :
 Args    :

  _remove_model()
 Title   : _remove_model
 Usage   :
 Function: Removes the Model this Chain is atttached to.
 Returns :
 Args    :

  _grandparent()
 Title   : _grandparent
 Usage   :
 Function: get/set a symbolic reference to our grandparent
 Returns :
 Args    :